diff --git a/compile b/compile
new file mode 100755
index 0000000000000000000000000000000000000000..99f153c1ad6c17bd7644fbb8c12b631f81a26298
--- /dev/null
+++ b/compile
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+if [ ! -f "$(command -v tweego)" ]; then
+	echo "Cannot find tweego. Please install tweego before compiling."
+	exit 1
+fi
+
+VERSION="$(git describe --tags --always --dirty)"
+
+TWEEGO_PATH="./StoryFormats" tweego -o "Degrees of Lewdity $VERSION.html" game